#
# spec file for package nvim-lspconfig
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           nvim-lspconfig
Version:        1.3.0
Release:        1.1
Summary:        Quickstart configs for Nvim LSP
License:        Apache-2.0
URL:            https://github.com/neovim/nvim-lspconfig
Source0:        %{url}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  neovim
Requires:       neovim
BuildArch:      noarch

%description
default Nvim LSP client configurations for various LSP servers

%package doc
Summary:        Documentation for %{name}

%description doc
%{summary}.

%prep
%autosetup
%fdupes -s doc

%build
nvim -u NONE -i NONE -e --headless -c "helptags doc" -c quit

%install
install -d %{buildroot}%{_datadir}/nvim/runtime/
cp -r lua plugin %{buildroot}%{_datadir}/nvim/runtime/

%files
%license LICENSE.md
%doc CONTRIBUTING.md README.md
%{_datadir}/nvim/runtime/lua/lspconfig
%{_datadir}/nvim/runtime/lua/lspconfig.lua
%{_datadir}/nvim/runtime/plugin/lspconfig.lua

%files doc
%doc doc

%changelog
* Sun Jan  5 2025 Richard Rahl <rrahl0@opensuse.org>
- update to 1.3.0:
  * refactor: deprecate util.path.join
  * refactor: deprecate util.path.path_separator
  * refactor: silence luals warnings
  * refactor: deprecate util.path.iterate_parents
  * feat: add server configuration for autohotkey_lsp (init)
  * refactor!: remove public interface of util.path.traverse_parents
  * fix(mdx-analyzer): Duplicate node_modules folder causing errors, and
    filetypes option
  * fix: add build.gradle.kts for java language server
  * feat: cue language server
  * feat(ccls): add CclsSwitchSourceHeader
  * fix(ccls): typo on request method
  * refactor(clangd): imporve switchsourceheader handler
  * fix(clangd): fix switchSourceHeader detection
  * docs(ruby_lsp): Remove instructions for adding ruby-lsp to Gemfile
  * feat: Update Harper's Supported Languages
  * feat: atlas language server
  * fix(msbuild): more root patterns
* Mon Dec 30 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 1.2.0:
  * refactor: deprecate util.find_package_json_ancestor
  * Fix for vim.fs.find regression not returning parent directory
  * refactor: deprecate util.find_git_ancestor
  * refactor!: remove util.path.escape_wildcards
  * refactor!: remove util.path.is_absolute
  * fix ruff and ruff_lsp returning a function from root pattern
  * feat(msbuild): config instruction for filetypes
  * refactor: fix luals warnings
* Sat Dec 14 2024 Richard Rahl <rrahl0@opensuse.org>
- initial packaging
